GNU bug report logs - #31723
26.1; next-logical-line different behaviour when global-display-line-numbers-mode is on

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Maxim Kim <habamax@HIDDEN>; dated Tue, 5 Jun 2018 15:03:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 26.2. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31723 <at> debbugs.gnu.org:


Received: (at 31723) by debbugs.gnu.org; 6 Jun 2018 15:45:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 11:45:03 2018
Received: from localhost ([127.0.0.1]:36964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQacQ-0006rl-Ts
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 11:45:03 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:37798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <habamax@HIDDEN>) id 1fQacP-0006r2-So
 for 31723 <at> debbugs.gnu.org; Wed, 06 Jun 2018 11:45:02 -0400
Received: by mail-wm0-f46.google.com with SMTP id r125-v6so12812646wmg.2
 for <31723 <at> debbugs.gnu.org>; Wed, 06 Jun 2018 08:45:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=SG9BDyYpTIhWs3KAvVkgEl0fhVP7Heef44B14IEmA9w=;
 b=Lx6TVL82stCiDQSarmDMdLbqP9yyhfIOfVhBlrHPTXtubRuH2ATdL39i6oR9x0xDUL
 g+ZrwSXFmc9tC1OZbwlUkZI62R8cfwa0u+GLSeVPVDtCsCjkKyqYLpeg2kOApAynncaB
 3yByPZ06JyCDANrLHP3dpzUX9HcEbEumnjrPhc+CNIcUxjQpgSDZMKjJj4bPQJosTUE8
 DX/I289W4+tksIsYXRvqfCyrtRhKz7Ri2zd8HNdOR37KYgAMkZK/m9QpcckiEyqQ/GdX
 09LnlyV2+uWYdYdIH73Pk9KZs/0XEDbp3cmUb2m/iwdVcRgzhdN8LBMHIFeRByHcMxWN
 KbSA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=SG9BDyYpTIhWs3KAvVkgEl0fhVP7Heef44B14IEmA9w=;
 b=aRKHg10X6jDEcEh5j9FI/ABQp1ZSGJ8vo9arj0a+4djPhCuWl33vUT/6w/b26Tz7K0
 +ClgWcv/TAuOS+EARa0SMCQa8c40SM8jYWlZyqwyphZLDcNBTqbCb2FajliB+quOhVYM
 uaVeZ6/g+huizeVmQVoalcxOK87QtQswRhuE9P4Aq5dp9X6QV2pz9gx9Cpy4+lGsZn/d
 +xblR2LbJ7PLnRiE+p4y9Y00El4vdPAGTp++WUXWqp3H/NPKlTOj2W1hLRysRO3zANcr
 TGD7VD2JFHto2pOM1Afyko0ByS54zd14cLlwFEI6D9cSP3Ry/1MSBxiVqeksGXOqUekT
 h5iA==
X-Gm-Message-State: APt69E3/SDt/FYzpILayESLnlLJ5LguDKKKYtWhtLigmJf/SUcgdqWsI
 oHwNNVGK3tRM8mCnnETy5Mmqk2qH+U2hGgAhlDc=
X-Google-Smtp-Source: ADUXVKIHeTct60FXFmQyUp5xS6npOVoX8pA0VosSe89iQ50VfM5RJPtR5hFCcf9Uv2Sf7TibgxK4Vo+zsf8Gl8cI4c8=
X-Received: by 2002:a1c:12d0:: with SMTP id
 199-v6mr1995721wms.153.1528299895877; 
 Wed, 06 Jun 2018 08:44:55 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a1c:d8a:0:0:0:0:0 with HTTP;
 Wed, 6 Jun 2018 08:44:54 -0700 (PDT)
In-Reply-To: <83o9govsol.fsf@HIDDEN>
References: <CAHFeNPt44jHZqVOfNgJV5Wt_QikRNTHmKbvd5kb0_TW_h_rTYw@HIDDEN>
 <83o9govsol.fsf@HIDDEN>
From: Maxim Kim <habamax@HIDDEN>
Date: Wed, 6 Jun 2018 18:44:54 +0300
Message-ID: <CAHFeNPsPqmUgyx7J1W_SuDhOiSZfco-HQEq=9Y8zR=nwxS4UGA@HIDDEN>
Subject: Re: bug#31723: 26.1; next-logical-line different behaviour when
 global-display-line-numbers-mode is on
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000677628056dfb0cd8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31723
Cc: 31723 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000677628056dfb0cd8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

 Thx, not sure I will be able to test it.

I am on windows and had never compiled emacs myself.

I will try to do it :)

2018-06-06 18:30 GMT+03:00 Eli Zaretskii <eliz@HIDDEN>:

> > From: Maxim Kim <habamax@HIDDEN>
> > Date: Tue, 5 Jun 2018 17:51:06 +0300
> >
> > 1. open emacs with `runemacs.exe -Q`
> >
> > 2. add some text to the scratch buffer:
> >
> > ;; This buffer is for text that is not saved, and for Lisp evaluation.
> > ;; To create a file, visit it with C-x C-f and enter text in its buffer=
.
> >
> > Hello WORLD, this is barebone EMACS here.
> > And next-logical-line function behaves strange when
> > global-display-line-numbers-mode is activated.
> >
> > 3. activate global-display-line-numbers-mode
> >
> > 4. put your cursor on the blank line above =E2=80=98Hello WORLD...' row=
:
> >
> > ;; To create a file, visit it with C-x C-f and enter text in its buffer=
.
> > <<CURSOR ON COL 0>>
> > Hello WORLD, this is barebone EMACS here.
> >
> > 5. press C-n to go-to =E2=80=98Hello WORLD=E2=80=99 row, cursor is on =
=E2=80=98H' letter
> >
> > 6. invoke =E2=80=98next-logical-line' interactive command with M-x
> > next-logical-line, your cursor will be on the second word of the
> > next row (marked as <<n>>):
> >
> > Hello WORLD, this is barebone EMACS here.
> > And <<n>>ext-logical-line function behaves strange when
> >
> > Without global-display-line-numbers-mode cursor moves to the same colum=
n
> > on the next row (of course if there are enough columns for that).
>
> Thanks, I think I fixed this now on the emacs-26 branch, please test.
>

--000000000000677628056dfb0cd8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">
<div>Thx, not sure I will be able to test it.</div><div><br></div><div>I am=
 on windows and had never compiled emacs myself.</div>

<div><br></div><div>I will try to do it :)<br></div></div><div class=3D"gma=
il_extra"><br><div class=3D"gmail_quote">2018-06-06 18:30 GMT+03:00 Eli Zar=
etskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_bla=
nk">eliz@HIDDEN</a>&gt;</span>:<br><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; Fro=
m: Maxim Kim &lt;<a href=3D"mailto:habamax@HIDDEN">habamax@HIDDEN</a>=
&gt;<br>
&gt; Date: Tue, 5 Jun 2018 17:51:06 +0300<br>
&gt; <br>
&gt; 1. open emacs with `runemacs.exe -Q`<br>
&gt; <br>
&gt; 2. add some text to the scratch buffer:<br>
&gt; <br>
&gt; ;; This buffer is for text that is not saved, and for Lisp evaluation.=
<br>
&gt; ;; To create a file, visit it with C-x C-f and enter text in its buffe=
r.<br>
&gt; <br>
&gt; Hello WORLD, this is barebone EMACS here.<br>
&gt; And next-logical-line function behaves strange when<br>
&gt; global-display-line-numbers-<wbr>mode is activated.<br>
&gt; <br>
&gt; 3. activate global-display-line-numbers-<wbr>mode<br>
&gt; <br>
&gt; 4. put your cursor on the blank line above =E2=80=98Hello WORLD...&#39=
; row:<br>
&gt; <br>
&gt; ;; To create a file, visit it with C-x C-f and enter text in its buffe=
r.<br>
&gt; &lt;&lt;CURSOR ON COL 0&gt;&gt;<br>
&gt; Hello WORLD, this is barebone EMACS here.<br>
&gt; <br>
&gt; 5. press C-n to go-to =E2=80=98Hello WORLD=E2=80=99 row, cursor is on =
=E2=80=98H&#39; letter<br>
&gt; <br>
&gt; 6. invoke =E2=80=98next-logical-line&#39; interactive command with M-x=
<br>
&gt; next-logical-line, your cursor will be on the second word of the<br>
&gt; next row (marked as &lt;&lt;n&gt;&gt;):<br>
&gt; <br>
&gt; Hello WORLD, this is barebone EMACS here.<br>
&gt; And &lt;&lt;n&gt;&gt;ext-logical-line function behaves strange when<br=
>
&gt; <br>
&gt; Without global-display-line-numbers-<wbr>mode cursor moves to the same=
 column<br>
&gt; on the next row (of course if there are enough columns for that).<br>
<br>
Thanks, I think I fixed this now on the emacs-26 branch, please test.<br>
</blockquote></div><br></div>

--000000000000677628056dfb0cd8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31723; Package emacs. Full text available.

Message received at 31723 <at> debbugs.gnu.org:


Received: (at 31723) by debbugs.gnu.org; 6 Jun 2018 15:30:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 11:30:15 2018
Received: from localhost ([127.0.0.1]:36955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQaO7-0006Xa-Jh
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 11:30:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fQaO6-0006XO-IP
 for 31723 <at> debbugs.gnu.org; Wed, 06 Jun 2018 11:30:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fQaNy-0000M1-9c
 for 31723 <at> debbugs.gnu.org; Wed, 06 Jun 2018 11:30:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38953)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fQaNy-0000Lx-5y; Wed, 06 Jun 2018 11:30:06 -0400
Received: from [176.228.60.248] (port=1354 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fQaNx-0008WO-Jx; Wed, 06 Jun 2018 11:30:06 -0400
Date: Wed, 06 Jun 2018 18:30:18 +0300
Message-Id: <83o9govsol.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Maxim Kim <habamax@HIDDEN>
In-reply-to: <CAHFeNPt44jHZqVOfNgJV5Wt_QikRNTHmKbvd5kb0_TW_h_rTYw@HIDDEN>
 (message from Maxim Kim on Tue, 5 Jun 2018 17:51:06 +0300)
Subject: Re: bug#31723: 26.1; next-logical-line different behaviour when
 global-display-line-numbers-mode is on
References: <CAHFeNPt44jHZqVOfNgJV5Wt_QikRNTHmKbvd5kb0_TW_h_rTYw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31723
Cc: 31723 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Maxim Kim <habamax@HIDDEN>
> Date: Tue, 5 Jun 2018 17:51:06 +0300
> 
> 1. open emacs with `runemacs.exe -Q`
> 
> 2. add some text to the scratch buffer:
> 
> ;; This buffer is for text that is not saved, and for Lisp evaluation.
> ;; To create a file, visit it with C-x C-f and enter text in its buffer.
> 
> Hello WORLD, this is barebone EMACS here.
> And next-logical-line function behaves strange when
> global-display-line-numbers-mode is activated.
> 
> 3. activate global-display-line-numbers-mode
> 
> 4. put your cursor on the blank line above ‘Hello WORLD...' row:
> 
> ;; To create a file, visit it with C-x C-f and enter text in its buffer.
> <<CURSOR ON COL 0>>
> Hello WORLD, this is barebone EMACS here.
> 
> 5. press C-n to go-to ‘Hello WORLD’ row, cursor is on ‘H' letter
> 
> 6. invoke ‘next-logical-line' interactive command with M-x
> next-logical-line, your cursor will be on the second word of the
> next row (marked as <<n>>):
> 
> Hello WORLD, this is barebone EMACS here.
> And <<n>>ext-logical-line function behaves strange when
> 
> Without global-display-line-numbers-mode cursor moves to the same column
> on the next row (of course if there are enough columns for that).

Thanks, I think I fixed this now on the emacs-26 branch, please test.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31723; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2018 15:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 05 11:02:56 2018
Received: from localhost ([127.0.0.1]:35314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQDU7-00047F-Fx
	for submit <at> debbugs.gnu.org; Tue, 05 Jun 2018 11:02:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <habamax@HIDDEN>) id 1fQDIv-0001pX-VL
 for submit <at> debbugs.gnu.org; Tue, 05 Jun 2018 10:51:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <habamax@HIDDEN>) id 1fQDIo-0002In-R9
 for submit <at> debbugs.gnu.org; Tue, 05 Jun 2018 10:51:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57126)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <habamax@HIDDEN>) id 1fQDIo-0002Ii-N5
 for submit <at> debbugs.gnu.org; Tue, 05 Jun 2018 10:51:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49415)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <habamax@HIDDEN>) id 1fQDIm-0004qG-6v
 for bug-gnu-emacs@HIDDEN; Tue, 05 Jun 2018 10:51:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <habamax@HIDDEN>) id 1fQDIj-0002Gt-My
 for bug-gnu-emacs@HIDDEN; Tue, 05 Jun 2018 10:51:12 -0400
Received: from mail-wr0-x22d.google.com ([2a00:1450:400c:c0c::22d]:38883)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <habamax@HIDDEN>) id 1fQDIj-0002G5-Au
 for bug-gnu-emacs@HIDDEN; Tue, 05 Jun 2018 10:51:09 -0400
Received: by mail-wr0-x22d.google.com with SMTP id 94-v6so2759387wrf.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 05 Jun 2018 07:51:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Uka43j0qdR8VHyEXsX6OSrhlKHjrmc+WP9Ne2+4/k0s=;
 b=PpDMLRDnkJCy1EZkxhxfOjwZ8Pv2OiAJMpfhQLBAkfhJMarsN2xtsJwU5Ys+HXWEzo
 V8gWd74vMfLKGTRsO1g900ZSPf9bAnw6vZUylbYWAdMiLTMKdykqyrcx/oUK9i7RHFDN
 wahgCQyreG50d+hSGMQjqSxJLhrCv6DnMFC6+mxIE7nMi3z6uiRSG0rxidZDCwQmDyF/
 byFv2AscnX1qZ9I3ffvc02k6ebfETHh+r8ntVN5dCYsUzsbOLrpYfZ9N9CD7+638pKwA
 YN4uFrxj5JQMQTj31OgMCE8p3C1R95nQBEIuK08NAP0Rc1o7Exxi4fsJzhGNHNm+7Q1i
 aoUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Uka43j0qdR8VHyEXsX6OSrhlKHjrmc+WP9Ne2+4/k0s=;
 b=rMjbzhV0wKBZtvs3g4sjx7DLGaubXdC/abLb+Ygriftig0cl/AQ98QkG8m9Y0rm3s7
 DNkaAJufZl3TF6GosB4qoqjyjSil3mB0+bmlZ4bvPiHS+L6NhMgwWsptn+rmKywoPuRt
 kYdRtTJl/1ACeh642Wv5/nI2d2n1j1IzsVvCnV4cpuxWOR3yP2djuV3B6ToqpYN2fsVG
 HChcXz2o3UE4WV7AJACfJfkQhlRPWE1FAUYwBpLGW+j54fv0z4zhHLlmeDLNRowAxLMA
 X/17K+UKGYSQQoVY/DNMQc5nlZr+1Q1lbK03paLtoF1JKjaRcR82+8c4X/HFxtQ6vype
 SAAA==
X-Gm-Message-State: ALKqPwfNCg+UMjtHHovAcWhuMOhhoporn/a7gn5D0ak7OfgWi3I2bb1c
 EhM/OAR2FCVFtVfU39nNlXfigXpbymcJgyXB3IQpjQ==
X-Google-Smtp-Source: ADUXVKIaGoTYmFzXnVmpF3Vmp4ViiaQvpAMsP+v0WO5APKDzlynN+j7RXKNuPbdKwD5UqUCNYeCxkOoeNTV3OUv7uOA=
X-Received: by 2002:adf:c60d:: with SMTP id
 n13-v6mr15552804wrg.177.1528210267462; 
 Tue, 05 Jun 2018 07:51:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a1c:d8a:0:0:0:0:0 with HTTP;
 Tue, 5 Jun 2018 07:51:06 -0700 (PDT)
From: Maxim Kim <habamax@HIDDEN>
Date: Tue, 5 Jun 2018 17:51:06 +0300
Message-ID: <CAHFeNPt44jHZqVOfNgJV5Wt_QikRNTHmKbvd5kb0_TW_h_rTYw@HIDDEN>
Subject: 26.1; next-logical-line different behaviour when
 global-display-line-numbers-mode is on
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000226141056de62ecf"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 05 Jun 2018 11:02:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--000000000000226141056de62ecf
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

1. open emacs with `runemacs.exe -Q`

2. add some text to the scratch buffer:

;; This buffer is for text that is not saved, and for Lisp evaluation.
;; To create a file, visit it with C-x C-f and enter text in its buffer.

Hello WORLD, this is barebone EMACS here.
And next-logical-line function behaves strange when
global-display-line-numbers-mode is activated.

3. activate global-display-line-numbers-mode

4. put your cursor on the blank line above =E2=80=98Hello WORLD...' row:

;; To create a file, visit it with C-x C-f and enter text in its buffer.
<<CURSOR ON COL 0>>
Hello WORLD, this is barebone EMACS here.

5. press C-n to go-to =E2=80=98Hello WORLD=E2=80=99 row, cursor is on =E2=
=80=98H' letter

6. invoke =E2=80=98next-logical-line' interactive command with M-x
next-logical-line, your cursor will be on the second word of the
next row (marked as <<n>>):

Hello WORLD, this is barebone EMACS here.
And <<n>>ext-logical-line function behaves strange when



Without global-display-line-numbers-mode cursor moves to the same column
on the next row (of course if there are enough columns for that).


This behaviour breaks multiple cursors package for me -- when I try to
create several cursors for consequent rows.


In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
 of 2018-05-30 built on CIRROCUMULUS
Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
Windowing system distributor 'Microsoft Corp.', version 10.0.10586
Recent messages:
Aggressive-Indent mode disabled in current buffer
Auto-saving...done
Type "q" in help window to restore its previous buffer, C-M-v to scroll
help.
Company mode disabled in current buffer
Smartparens mode disabled in current buffer
Global Display-Line-Numbers mode disabled
line-move-to-column: Wrong type argument: wholenump, -6
ivy-read: Command attempted to use minibuffer while in minibuffer
Quit
Auto-saving...done

Configured using:
 'configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: RUS
  locale-coding-system: cp1251

Major mode: Emacs-Lisp

Minor modes in effect:
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  counsel-projectile-mode: t
  projectile-mode: t
  diff-auto-refine-mode: t
  counsel-mode: t
  diredfl-global-mode: t
  global-git-gutter-mode: t
  which-key-mode: t
  global-whitespace-cleanup-mode: t
  whitespace-cleanup-mode: t
  company-childframe-mode: t
  company-flx-mode: t
  global-company-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  winner-mode: t
  hl-lisp-globals-mode: t
  rainbow-delimiters-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-global-mode: t
  ivy-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  override-global-mode: t
  savehist-mode: t
  save-place-mode: t
  recentf-mode: t
  show-paren-mode: t
  global-subword-mode: t
  subword-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-quote-mode: t
  electric-layout-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
c:/Users/maksim.kim/.emacs.d/kosmos-theme/kosmos-theme hides
c:/Users/maksim.kim/.emacs.d/elpa/kosmos-theme-20170502.1150/kosmos-theme

Features:
(shadow sort mail-extr emacsbug sendmail tabify cl-print debug pulse
eieio-opt speedbar sb-image ezimage dframe find-func help-fns radix-tree
magit-obsolete magit-blame magit-stash magit-bisect magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-collab ghub url-http tls
gnutls url-gw nsm url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap let-alist
json map magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log magit-diff smerge-mode magit-core
magit-autorevert autorevert filenotify magit-process magit-margin
magit-mode git-commit magit-git magit-section magit-utils crm
magit-popup log-edit message rmc puny format-spec rfc822 mml mml-sec epa
epg gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log with-editor
async-bytecomp async shell pcomplete server browse-url dired-aux wdired
cus-start cus-load rotate goto-addr asciidoctor-mode derived noutline
outline expand-region text-mode-expansions er-basic-expansions
expand-region-core expand-region-custom ace-window avy
counsel-projectile projectile grep ibuf-ext ibuffer ibuffer-loaddefs
vc-git diff-mode light-blue-theme manoj-dark-theme leuven-theme
kosmos-theme haba-stuff cyberpunk-theme colir color smex ido counsel
diredfl dired-x dired dired-loaddefs compile comint ansi-color esh-util
swiper git-gutter-fringe fringe-helper git-gutter which-key
whitespace-cleanup-mode whitespace company-childframe posframe
company-oddmuse company-keywords company-etags etags xref project
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb company-tng company-flx
company pcase multiple-cursors mc-hide-unmatched-lines-mode
mc-separate-operations rectangular-region-mode mc-mark-pop mc-mark-more
mc-cycle-cursors mc-edit-lines multiple-cursors-core rect
yasnippet-snippets yasnippet winner ring time aggressive-indent
hl-lisp-globals-mode rainbow-delimiters smartparens-config
smartparens-text smartparens advice dash elec-pair cal-menu calendar
cal-loaddefs ivy flx ivy-overlay ffap thingatpt diminish undo-tree diff
reverse-im quail habamax-theme cl-extra help-mode use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core subr-x
finder-inf edmacro kmacro slime-autoloads info package epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv savehist saveplace recentf tree-widget wid-edit
cl-loaddefs cl-lib easymenu display-line-numbers paren cap-words
superword subword delsel time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table term/w32-win w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify w32 lcms2
multi-tty make-network-process emacs)

Memory information:
((conses 16 577785 110119)
 (symbols 56 44308 2)
 (miscs 48 2656 3178)
 (strings 32 127306 5436)
 (string-bytes 1 4052192)
 (vectors 16 80410)
 (vector-slots 8 2568134 121894)
 (floats 8 437 741)
 (intervals 56 16495 1138)
 (buffers 992 34))

--000000000000226141056de62ecf
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><br>1. open emacs with `runemacs.exe -Q`<br><br>2.=
 add some text to the scratch buffer:<br><br>;; This buffer is for text tha=
t is not saved, and for Lisp evaluation.<br>;; To create a file, visit it w=
ith C-x C-f and enter text in its buffer.<br><br>Hello WORLD, this is bareb=
one EMACS here.<br>And next-logical-line function behaves strange when<br>g=
lobal-display-line-numbers-mode is activated.<br><br>3. activate global-dis=
play-line-numbers-mode<br><br>4. put your cursor on the blank line above =
=E2=80=98Hello WORLD...&#39; row:<br><br>;; To create a file, visit it with=
 C-x C-f and enter text in its buffer.<br>&lt;&lt;CURSOR ON COL 0&gt;&gt;<b=
r>Hello WORLD, this is barebone EMACS here.<br><br>5. press C-n to go-to =
=E2=80=98Hello WORLD=E2=80=99 row, cursor is on =E2=80=98H&#39; letter<br><=
br>6. invoke =E2=80=98next-logical-line&#39; interactive command with M-x<b=
r>next-logical-line, your cursor will be on the second word of the<br>next =
row (marked as &lt;&lt;n&gt;&gt;):<br><br>Hello WORLD, this is barebone EMA=
CS here.<br>And &lt;&lt;n&gt;&gt;ext-logical-line function behaves strange =
when<br><br><br><br>Without global-display-line-numbers-mode cursor moves t=
o the same column<br>on the next row (of course if there are enough columns=
 for that).<br><br><br>This behaviour breaks multiple cursors package for m=
e -- when I try to<br>create several cursors for consequent rows.<br><br><b=
r>In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)<br>=C2=A0of 2018-05-30 bu=
ilt on CIRROCUMULUS<br>Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe=
0c20ea1ea<br>Windowing system distributor &#39;Microsoft Corp.&#39;, versio=
n 10.0.10586<br>Recent messages:<br>Aggressive-Indent mode disabled in curr=
ent buffer<br>Auto-saving...done<br>Type &quot;q&quot; in help window to re=
store its previous buffer, C-M-v to scroll help.<br>Company mode disabled i=
n current buffer<br>Smartparens mode disabled in current buffer<br>Global D=
isplay-Line-Numbers mode disabled<br>line-move-to-column: Wrong type argume=
nt: wholenump, -6<br>ivy-read: Command attempted to use minibuffer while in=
 minibuffer<br>Quit<br>Auto-saving...done<br><br>Configured using:<br>=C2=
=A0&#39;configure --without-dbus --host=3Dx86_64-w64-mingw32<br>=C2=A0--wit=
hout-compress-install &#39;CFLAGS=3D-O2 -static -g3&#39;&#39;<br><br>Config=
ured features:<br>XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML=
2 ZLIB<br>TOOLKIT_SCROLL_BARS THREADS LCMS2<br><br>Important settings:<br>=
=C2=A0 value of $LANG: RUS<br>=C2=A0 locale-coding-system: cp1251<br><br>Ma=
jor mode: Emacs-Lisp<br><br>Minor modes in effect:<br>=C2=A0 global-magit-f=
ile-mode: t<br>=C2=A0 magit-auto-revert-mode: t<br>=C2=A0 global-git-commit=
-mode: t<br>=C2=A0 async-bytecomp-package-mode: t<br>=C2=A0 shell-dirtrack-=
mode: t<br>=C2=A0 counsel-projectile-mode: t<br>=C2=A0 projectile-mode: t<b=
r>=C2=A0 diff-auto-refine-mode: t<br>=C2=A0 counsel-mode: t<br>=C2=A0 dired=
fl-global-mode: t<br>=C2=A0 global-git-gutter-mode: t<br>=C2=A0 which-key-m=
ode: t<br>=C2=A0 global-whitespace-cleanup-mode: t<br>=C2=A0 whitespace-cle=
anup-mode: t<br>=C2=A0 company-childframe-mode: t<br>=C2=A0 company-flx-mod=
e: t<br>=C2=A0 global-company-mode: t<br>=C2=A0 yas-global-mode: t<br>=C2=
=A0 yas-minor-mode: t<br>=C2=A0 winner-mode: t<br>=C2=A0 hl-lisp-globals-mo=
de: t<br>=C2=A0 rainbow-delimiters-mode: t<br>=C2=A0 show-smartparens-globa=
l-mode: t<br>=C2=A0 show-smartparens-mode: t<br>=C2=A0 smartparens-global-m=
ode: t<br>=C2=A0 ivy-mode: t<br>=C2=A0 global-undo-tree-mode: t<br>=C2=A0 u=
ndo-tree-mode: t<br>=C2=A0 override-global-mode: t<br>=C2=A0 savehist-mode:=
 t<br>=C2=A0 save-place-mode: t<br>=C2=A0 recentf-mode: t<br>=C2=A0 show-pa=
ren-mode: t<br>=C2=A0 global-subword-mode: t<br>=C2=A0 subword-mode: t<br>=
=C2=A0 delete-selection-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-=
eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-quote-mode: t<br>=
=C2=A0 electric-layout-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 =
mouse-wheel-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-m=
ode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=
=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0=
 auto-compression-mode: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line-nu=
mber-mode: t<br>=C2=A0 global-visual-line-mode: t<br>=C2=A0 visual-line-mod=
e: t<br>=C2=A0 transient-mark-mode: t<br>=C2=A0 abbrev-mode: t<br><br>Load-=
path shadows:<br>c:/Users/maksim.kim/.emacs.d/kosmos-theme/kosmos-theme hid=
es c:/Users/maksim.kim/.emacs.d/elpa/kosmos-theme-20170502.1150/kosmos-them=
e<br><br>Features:<br>(shadow sort mail-extr emacsbug sendmail tabify cl-pr=
int debug pulse<br>eieio-opt speedbar sb-image ezimage dframe find-func hel=
p-fns radix-tree<br>magit-obsolete magit-blame magit-stash magit-bisect mag=
it-remote<br>magit-commit magit-sequence magit-notes magit-worktree magit-t=
ag<br>magit-merge magit-branch magit-reset magit-collab ghub url-http tls<b=
r>gnutls url-gw nsm url-auth url url-proxy url-privacy url-expand<br>url-me=
thods url-history url-cookie url-domsuf url-util mailcap let-alist<br>json =
map magit-files magit-refs magit-status magit magit-repos<br>magit-apply ma=
git-wip magit-log magit-diff smerge-mode magit-core<br>magit-autorevert aut=
orevert filenotify magit-process magit-margin<br>magit-mode git-commit magi=
t-git magit-section magit-utils crm<br>magit-popup log-edit message rmc pun=
y format-spec rfc822 mml mml-sec epa<br>epg gnus-util rmail rmail-loaddefs =
mm-decode mm-bodies mm-encode<br>mail-parse rfc2231 rfc2047 rfc2045 mm-util=
 ietf-drums mail-prsvr<br>mailabbrev mail-utils gmm-utils mailheader pcvs-u=
til add-log with-editor<br>async-bytecomp async shell pcomplete server brow=
se-url dired-aux wdired<br>cus-start cus-load rotate goto-addr asciidoctor-=
mode derived noutline<br>outline expand-region text-mode-expansions er-basi=
c-expansions<br>expand-region-core expand-region-custom ace-window avy<br>c=
ounsel-projectile projectile grep ibuf-ext ibuffer ibuffer-loaddefs<br>vc-g=
it diff-mode light-blue-theme manoj-dark-theme leuven-theme<br>kosmos-theme=
 haba-stuff cyberpunk-theme colir color smex ido counsel<br>diredfl dired-x=
 dired dired-loaddefs compile comint ansi-color esh-util<br>swiper git-gutt=
er-fringe fringe-helper git-gutter which-key<br>whitespace-cleanup-mode whi=
tespace company-childframe posframe<br>company-oddmuse company-keywords com=
pany-etags etags xref project<br>company-gtags company-dabbrev-code company=
-dabbrev company-files<br>company-capf company-cmake company-xcode company-=
clang company-semantic<br>company-eclim company-template company-bbdb compa=
ny-tng company-flx<br>company pcase multiple-cursors mc-hide-unmatched-line=
s-mode<br>mc-separate-operations rectangular-region-mode mc-mark-pop mc-mar=
k-more<br>mc-cycle-cursors mc-edit-lines multiple-cursors-core rect<br>yasn=
ippet-snippets yasnippet winner ring time aggressive-indent<br>hl-lisp-glob=
als-mode rainbow-delimiters smartparens-config<br>smartparens-text smartpar=
ens advice dash elec-pair cal-menu calendar<br>cal-loaddefs ivy flx ivy-ove=
rlay ffap thingatpt diminish undo-tree diff<br>reverse-im quail habamax-the=
me cl-extra help-mode use-package<br>use-package-ensure use-package-delight=
 use-package-diminish<br>use-package-bind-key bind-key easy-mmode use-packa=
ge-core subr-x<br>finder-inf edmacro kmacro slime-autoloads info package ep=
g-config<br>url-handlers url-parse auth-source cl-seq eieio eieio-core cl-m=
acs<br>eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp<br>b=
yte-compile cconv savehist saveplace recentf tree-widget wid-edit<br>cl-loa=
ddefs cl-lib easymenu display-line-numbers paren cap-words<br>superword sub=
word delsel time-date mule-util tooltip eldoc electric<br>uniquify ediff-ho=
ok vc-hooks lisp-float-type mwheel dos-w32 ls-lisp<br>disp-table term/w32-w=
in w32-win w32-vars term/common-win tool-bar dnd<br>fontset image regexp-op=
t fringe tabulated-list replace newcomment<br>text-mode elisp-mode lisp-mod=
e prog-mode register page menu-bar<br>rfn-eshadow isearch timer select scro=
ll-bar mouse jit-lock font-lock<br>syntax facemenu font-core term/tty-color=
s frame cl-generic cham georgian<br>utf-8-lang misc-lang vietnamese tibetan=
 thai tai-viet lao korean<br>japanese eucjp-ms cp51932 hebrew greek romania=
n slovak czech european<br>ethiopic indian cyrillic chinese composite chars=
cript charprop<br>case-table epa-hook jka-cmpr-hook help simple abbrev obar=
ray minibuffer<br>cl-preloaded nadvice loaddefs button faces cus-face macro=
exp files<br>text-properties overlay sha1 md5 base64 format env code-pages =
mule<br>custom widget hashtable-print-readable backquote w32notify w32 lcms=
2<br>multi-tty make-network-process emacs)<br><br>Memory information:<br>((=
conses 16 577785 110119)<br>=C2=A0(symbols 56 44308 2)<br>=C2=A0(miscs 48 2=
656 3178)<br>=C2=A0(strings 32 127306 5436)<br>=C2=A0(string-bytes 1 405219=
2)<br>=C2=A0(vectors 16 80410)<br>=C2=A0(vector-slots 8 2568134 121894)<br>=
=C2=A0(floats 8 437 741)<br>=C2=A0(intervals 56 16495 1138)<br>=C2=A0(buffe=
rs 992 34))<br><br></div>

--000000000000226141056de62ecf--




Acknowledgement sent to Maxim Kim <habamax@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31723; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 21 Jun 2018 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.